<?php

namespace App\Http\Controllers\User;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Session;
use App\Helpers\EncryptDecrypt;
use App\Traits\ConsumeExternalService;
use App\Helpers\s3upload;

class HomeController extends Controller
{
    use ConsumeExternalService;
    
    public function index()
    {
         
        $loginUserData = Session::get('login_user_data');

        // dd($loginUserData);


        
        return view('user.index');
       
    }


    public function home(Request $request)
    {
        $loginUserData = Session::get('login_user_data');
        // dd($loginUserData);
         $user_id = $loginUserData->user_id;
        $userToken = Session::get('user_token');
        // dd($userToken);


        $formParams = ['app' => 'U', 'token' => EncryptDecrypt::bodyEncrypt($userToken)];



        $homedatarequestUri = "/v1/card/Home";

        $homedata_response = $this->performRequest("POST", $homedatarequestUri,null, $formParams);

        $homedata_response_decoded = json_decode(EncryptDecrypt::bodyDecrypt($homedata_response));
        $homeData = $homedata_response_decoded;

        // dd($homeData);



        $statusdatarequestUri = "/v1/card/status_list";

        $statusdata_response = $this->performRequest("GET", $statusdatarequestUri,[], $formParams);

        $statusdata_response_decoded = json_decode(EncryptDecrypt::bodyDecrypt($statusdata_response));
        $statusData = $statusdata_response_decoded;

        // dd($statusData);



        $requestUri = "/v1/user_auth/user_profile";

        $response = $this->performRequest("GET", $requestUri, [], $formParams);

        $response_decoded = json_decode(EncryptDecrypt::bodyDecrypt($response));
        $userData = $response_decoded;


        Session::put('user_profile', $userData);

        // dd($userData);

        

        $post_data = array(
            'page'=>'1',
        );
        $requestUri2 = "/v1/common/search_user";
        
        $data1 = EncryptDecrypt::bodyEncrypt(json_encode($post_data));
        $response2 = $this->performRequest("POST", $requestUri2, $data1, $formParams);

        $response_decoded2 = json_decode(EncryptDecrypt::bodyDecrypt($response2));

        $users = $response_decoded2;

        // dd($users);


        $postdata = array(
            'user_id'=>$user_id,
        );

        // dd($postdata);
        
        $requestUridata = "/v1/common/get_personal_info";
        
        $data3 = EncryptDecrypt::bodyEncrypt(json_encode($postdata));
        $response8 = $this->performRequest("POST", $requestUridata, $data3, $formParams);

        $response_decoded8 = json_decode(EncryptDecrypt::bodyDecrypt($response8));

        $usersss = $response_decoded8;

        // dd($usersss);

       if($loginUserData == null){
             return view('user.index');
       }else{
           if($homeData->code == 0){
            return redirect()->route('personal_card');
           }else{

               return view('user.home',compact('loginUserData','userData','users','homeData','statusData'));
           }
       }

    }


    public function change_status($status_id)
    {
         
        $loginUserData = Session::get('login_user_data');
        $userToken = Session::get('user_token');

        $formParams = ['app' => 'U', 'token' => EncryptDecrypt::bodyEncrypt($userToken)];


        $post_data = array(
            'status_id'=>$status_id,
        );

        $requestUri2 = "/v1/card/add_status";
        
        $data1 = EncryptDecrypt::bodyEncrypt(json_encode($post_data));
        $response2 = $this->performRequest("POST", $requestUri2, $data1, $formParams);

        $response_decoded2 = json_decode(EncryptDecrypt::bodyDecrypt($response2));

    


        if ($response_decoded2->code == 1) {  
            return redirect()->route('home');
        }else{
            return redirect()->back()->with('error', $response_decoded->message);

        }
       
    }



    public function users_info(Request $request, $user_id)
    {

        $loginUserData = Session::get('login_user_data');
        $userToken = Session::get('user_token');

        $formParams = ['app' => 'U', 'token' => EncryptDecrypt::bodyEncrypt($userToken)];


        $post_data = array(
            'user_id'=>$user_id,
        );
        $requestUri2 = "/v1/common/get_personal_info";
        
        $data1 = EncryptDecrypt::bodyEncrypt(json_encode($post_data));
        $response2 = $this->performRequest("POST", $requestUri2, $data1, $formParams);

        $response_decoded2 = json_decode(EncryptDecrypt::bodyDecrypt($response2));

        $users = $response_decoded2;

        // dd($users);


        $post_data2 = array(
            'user_id'=>$user_id,
        );

        $requestUrib = "/v1/common/get_business_info";
        
        $data3 = EncryptDecrypt::bodyEncrypt(json_encode($post_data2));
        $response3 = $this->performRequest("POST", $requestUrib, $data3, $formParams);

        $response_decoded3 = json_decode(EncryptDecrypt::bodyDecrypt($response3));

        $info = $response_decoded3;

        // dd($info);

        $cpost_data2 = array(
            'user_id'=>$user_id,
        );

        $crequestUrib = "/v1/common/Get_Other_User_CmpDetails";
        
        $cdata3 = EncryptDecrypt::bodyEncrypt(json_encode($cpost_data2));
        $cresponse3 = $this->performRequest("POST", $crequestUrib, $cdata3, $formParams);

        $cresponse_decoded3 = json_decode(EncryptDecrypt::bodyDecrypt($cresponse3));

        $cinfo = $cresponse_decoded3;

        // dd($cinfo);

        $socialpost_data = array(
            'user_id'=>$user_id,
        );
        $socialrequestUrib = "/v1/common/socialDetails_by_id";
        
        $socialdata = EncryptDecrypt::bodyEncrypt(json_encode($socialpost_data));
        $socialresponse = $this->performRequest("POST", $socialrequestUrib, $socialdata, $formParams);

        $social_response_decoded = json_decode(EncryptDecrypt::bodyDecrypt($socialresponse));

        $social = $social_response_decoded;

        // dd($social);


        $location_data = array(
            'user_id'=>$user_id,
        );
        $location_request = "/v1/common/location_details_byid";
        
        $locationData = EncryptDecrypt::bodyEncrypt(json_encode($location_data));
        $location_response = $this->performRequest("POST", $location_request, $locationData, $formParams);

        $location_response_data = json_decode(EncryptDecrypt::bodyDecrypt($location_response));

        $location = $location_response_data;

        // dd($location);

        return view('user.user_info.user_info',compact('users','info','cinfo','social','location'));
    }
}
