<?php

namespace App\Http\Controllers\User;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Helpers\EncryptDecrypt;
use App\Traits\ConsumeExternalService;
use Illuminate\Support\Facades\View;

class ChatavirsityController extends Controller
{
    use ConsumeExternalService;


    public function chatavirsity()
    {
        $userToken = session()->get('USER_TOKEN');

        if ($userToken) {
            $formParams = ['app' => 'U', 'token' => EncryptDecrypt::bodyEncrypt($userToken)];
            $response = $this->performRequest("GET", "/api/v1/user/allChatavirsity", [], $formParams);
            $response_decoded = json_decode(EncryptDecrypt::bodyDecrypt($response));

            if (!empty($response_decoded) && ($response_decoded->code == 0 || $response_decoded->code == '0')) {
                $data = null;
            } elseif (!empty($response_decoded) && ($response_decoded->code == 1 || $response_decoded->code == '1')) {
                $data = $response_decoded->data;
            }
            return view('user.chatavirsity.chatavirsity', compact('data'));
        } else {
            return redirect()->route('user.login');
        }
    }

    public function readChatavirsity($id)
    {
        $userToken = session()->get('USER_TOKEN');
        $chatavirsity_id = base64_decode($id);

        $post_data = array(
            'chatavirsity_id' => $chatavirsity_id,
        );

        $formParams = ['app' => 'U', 'token' => EncryptDecrypt::bodyEncrypt($userToken)];
        $data = EncryptDecrypt::bodyEncrypt(json_encode($post_data));
        $response = $this->performRequest("get", "/api/v1/user/viewChatavirsity", $data, $formParams);
        $response_decoded = json_decode(EncryptDecrypt::bodyDecrypt($response));

        if (!empty($response_decoded) && ($response_decoded->code == 0 || $response_decoded->code == '0')) {
            return response()->json(['status' => 'error', 'message' => $response_decoded->message]);
        } elseif (!empty($response_decoded) && ($response_decoded->code == 1 || $response_decoded->code == '1')) {
            $data = $response_decoded->data[0];

            $other_chatavirsity_response = $this->performRequest("GET", "/api/v1/user/allChatavirsity", [], $formParams);
            $other_chatavirsity_response_decoded = json_decode(EncryptDecrypt::bodyDecrypt($other_chatavirsity_response));

            if (!empty($other_chatavirsity_response_decoded) && ($other_chatavirsity_response_decoded->code == 0 || $other_chatavirsity_response_decoded->code == '0')) {
                $chatavirsity_data = null;
            } elseif (!empty($other_chatavirsity_response_decoded) && ($other_chatavirsity_response_decoded->code == 1 || $other_chatavirsity_response_decoded->code == '1')) {
                $chatavirsity_data = $other_chatavirsity_response_decoded->data;
            }
            return view('user.chatavirsity.chatavirsity-read-more', compact('data','chatavirsity_data'));
        }
    }

    public function searchChatavirsity(Request $request)
    {
        $userToken = session()->get('USER_TOKEN');

        $post_data = array(
            'search' => $request->search,
        );

        $formParams = ['app' => 'U', 'token' => EncryptDecrypt::bodyEncrypt($userToken)];
        $data = EncryptDecrypt::bodyEncrypt(json_encode($post_data));
        $response = $this->performRequest("get", "/api/v1/user/searchChatavirsity", $data, $formParams);
        $response_decoded = json_decode(EncryptDecrypt::bodyDecrypt($response));
        // dd($response_decoded);
        if (!empty($response_decoded) && ($response_decoded->code == 0 || $response_decoded->code == '0')) {
            $data = null;
        } elseif (!empty($response_decoded) && ($response_decoded->code == 1 || $response_decoded->code == '1')) {
            $data = $response_decoded->data;
        }
        $html = View::make('user.chatavirsity.search-chatavirsity', compact('data'))->render();
        return response()->json(['status' => true, 'content' => $html]);
    }
}
