<?php

namespace App\Http\Controllers\User;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Session;
use App\Helpers\EncryptDecrypt;
use App\Traits\ConsumeExternalService;

class DashboardController extends Controller
{
    use ConsumeExternalService;

    public function dashboard()
    {
        $userData = session()->get('USER_LOGIN_SESSION');
        $userToken = session()->get('USER_TOKEN');
        // dd($userToken);
  
        $formParams = ['app' => 'U', 'token' => EncryptDecrypt::bodyEncrypt($userToken)];
        $response = $this->performRequest("get", "/api/v1/user/totalCount", null, $formParams);
        $response_decoded = json_decode(EncryptDecrypt::bodyDecrypt($response));
        // dd($response_decoded);


        if (!empty($response_decoded) && ($response_decoded->code == 0 || $response_decoded->code == '0')) {
            return redirect()->back()->with('error', $response_decoded->message);
        } elseif (!empty($response_decoded) && ($response_decoded->code == 1 || $response_decoded->code == '1')) {

            $data = $response_decoded->data;

            // dd($data);
            $contact_list_res = $this->performRequest("GET", "/api/v1/user/contactListing", [], $formParams);
            $contact_list_decoded = json_decode(EncryptDecrypt::bodyDecrypt($contact_list_res));
            // dd($contact_list_decoded);  
            if (!empty($contact_list_decoded) && ($contact_list_decoded->code == 0 || $contact_list_decoded->code == '0')) {
                $contact_list = null;
            } elseif (!empty($contact_list_decoded) && ($contact_list_decoded->code == 1 || $contact_list_decoded->code == '1')) {
                $contact_list = $contact_list_decoded->data;
                // dd($contact_list);
            }

            $all_contact_res = $this->performRequest("GET", "/api/v1/user/getAllContacts", [], $formParams);
            
            $all_contact_decoded = json_decode(EncryptDecrypt::bodyDecrypt($all_contact_res));
            // dd($contact_list_decoded);  
            if (!empty($all_contact_decoded) && ($all_contact_decoded->code == 0 || $all_contact_decoded->code == '0')) {
                $all_contact_list = null;
            } elseif (!empty($all_contact_decoded) && ($all_contact_decoded->code == 1 || $all_contact_decoded->code == '1')) {
                $all_contact_list = $all_contact_decoded->data;
            }

            session()->put('CONTACT_LIST_SESSION', $all_contact_list);
      
            $followup_list_res = $this->performRequest("GET", "/api/v1/user/followupListing", [], $formParams);
            $followup_list_decoded = json_decode(EncryptDecrypt::bodyDecrypt($followup_list_res));
            //  dd($followup_list_decoded);

            if (!empty($followup_list_decoded) && ($followup_list_decoded->code == 0 || $followup_list_decoded->code == '0')) {
                $followup_list = null;
            } elseif (!empty($followup_list_decoded) && ($followup_list_decoded->code == 1 || $followup_list_decoded->code == '1')) {
                $followup_list = $followup_list_decoded->data;
            }

            $meeting_list_res = $this->performRequest("GET", "/api/v1/user/meetingListing", [], $formParams);
            $meeting_list_decoded = json_decode(EncryptDecrypt::bodyDecrypt($meeting_list_res));
            //  dd($meeting_list_decoded);
            if (!empty($meeting_list_decoded) && ($meeting_list_decoded->code == 0 || $meeting_list_decoded->code == '0')) {
                $meeting_list = null;
            } elseif (!empty($meeting_list_decoded) && ($meeting_list_decoded->code == 1 || $meeting_list_decoded->code == '1')) {
                $meeting_list = $meeting_list_decoded->data;
            }

            $reconnect_list_res = $this->performRequest("GET", "/api/v1/user/reconnectListing", [], $formParams);
            $reconnect_list_decoded = json_decode(EncryptDecrypt::bodyDecrypt($reconnect_list_res));
            //  dd($reconnect_list_decoded);
            if (!empty($reconnect_list_decoded) && ($reconnect_list_decoded->code == 0 || $reconnect_list_decoded->code == '0')) {
                $reconnect_list = null;
            } elseif (!empty($reconnect_list_decoded) && ($reconnect_list_decoded->code == 1 || $reconnect_list_decoded->code == '1')) {
                $reconnect_list = $reconnect_list_decoded->data;
                //  dd($reconnect_list);
            }

            $contact_type_res = $this->performRequest("get", "http://13.235.173.222:9999/api/v1/user/contactType", null, $formParams);
            $contact_type_decoded = json_decode(EncryptDecrypt::bodyDecrypt($contact_type_res));
            // dd($contact_type_decoded);

            if (!empty($contact_type_decoded) && ($contact_type_decoded->code == 0 || $contact_type_decoded->code == '0')) {
                $contact_type = null;
            } elseif (!empty($contact_type_decoded) && ($contact_type_decoded->code == 1 || $contact_type_decoded->code == '1')) {
                $contact_type = $contact_type_decoded->data;
                //  dd($contact_type);
            }

            $notification_list_res = $this->performRequest("GET", "/api/v1/user/notificationListing", [], $formParams);
            $notification_list_decoded = json_decode(EncryptDecrypt::bodyDecrypt($notification_list_res));
            // dd($notification_list_decoded);  
            if (!empty($notification_list_decoded) && ($notification_list_decoded->code == 0 || $notification_list_decoded->code == '0')) {
                $notification_list = null;
            } elseif (!empty($notification_list_decoded) && ($notification_list_decoded->code == 1 || $notification_list_decoded->code == '1')) {
                $notification_list = $notification_list_decoded->data;
            }

            $daily_plan_res = $this->performRequest("get", "/api/v1/user/dailyPlanListing", null, $formParams);
            $daily_plan_decoded = json_decode(EncryptDecrypt::bodyDecrypt($daily_plan_res));
            // dd($daily_plan_res);  
            if (!empty($daily_plan_decoded) && ($daily_plan_decoded->code == 0 || $daily_plan_decoded->code == '0')) {
                $daily_plan_list = null;
            } elseif (!empty($daily_plan_decoded) && ($daily_plan_decoded->code == 1 || $daily_plan_decoded->code == '1')) {
                $daily_plan_list = $daily_plan_decoded->data;
            }

            session()->put('DAILY_PLAN_LIST_SESSION', $daily_plan_list);


            // dd(session()->get('DAILY_PLAN_LIST_SESSION'));
            return view('user.dashboard.dashboard', compact('data', 'contact_list', 'followup_list', 'meeting_list', 'reconnect_list','contact_type','notification_list'));
        }


        // } else{
        //     return redirect()->route('user.login');
        // }
    }
}
