<?php

namespace App\Http\Controllers\User;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

use App\Traits\ConsumeExternalService;
use Illuminate\Support\Facades\Validator;
use App\Helpers\EncryptDecrypt;

class LogChatController extends Controller
{
    use ConsumeExternalService;

    public function addChatLog(Request $request)
    {

        $userToken = session()->get('USER_TOKEN');

        $rules = [
            'contact_chat_id'     =>  'required',
            'notes'  =>  'nullable',
        ];

        $validator = Validator::make($request->all(), $rules);
        $errorMsg = 'Oops! Somthing went wrong.';
        if ($validator->fails()) {
            return response()->json([
                'status' => 'error',
                'message' => $errorMsg,
                'errors' => $validator->errors()
            ]);
        }


        $post_data = array(
            'contact_id' => $request->contact_chat_id,
            'notes' => "jdjdnjd",
        );

        // dd($post_data);
        $formParams = ['app' => 'U', 'token' => EncryptDecrypt::bodyEncrypt($userToken)];
        $data = EncryptDecrypt::bodyEncrypt(json_encode($post_data));
        $response = $this->performRequest("POST", "/api/v1/user/addChatlog", $data, $formParams);
        // dd($response);
        $response_decoded = json_decode(EncryptDecrypt::bodyDecrypt($response));
        // dd($response_decoded);

        if (!empty($response_decoded) && ($response_decoded->code == 0 || $response_decoded->code == '0')) {
            return response()->json(['status' => 'error', 'message' => $response_decoded->message]);
        } elseif (!empty($response_decoded) && ($response_decoded->code == 1 || $response_decoded->code == '1')) {
            return response()->json(['status' => 'success', 'message' => 'Log Chat Added Successfully.']);
        }
    }
}
