<?php

namespace App\Http\Controllers\User;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Session;
use App\Helpers\EncryptDecrypt;
use App\Traits\ConsumeExternalService;
use Carbon\Carbon;

class MyTeamController extends Controller
{
    use ConsumeExternalService;


    /*
    |--------------------------------------------------------------------------
    | MY TEAM LISTING [TEAM THAT USER HAS CREATED OR USER IS ADMIN]
    |--------------------------------------------------------------------------
    */

    public function my_team()
    {
        $userToken = session()->get('USER_TOKEN');
        // dd($userToken);
        if ($userToken) {

            $formParams = ['app' => 'U', 'token' => EncryptDecrypt::bodyEncrypt($userToken)];
            // $lang_list_res = $this->performRequest("get", "/api/v1/user/teamListing", null, $formParams);
            // $lang_list_decoded = json_decode(EncryptDecrypt::bodyDecrypt($lang_list_res));

            $post_data = array(
                'team_id' => '2',
                'teammate_id' => '2',
                'date' => '2024/04/15',
            );

            $data = EncryptDecrypt::bodyEncrypt(json_encode($post_data));
            // $response = $this->performRequest("POST", "/api/v1/user/joinTeam", $data, $formParams); //not working
            // $response = $this->performRequest("POST", "/api/v1/user/leaveTeam", $data, $formParams); //working
            // $response = $this->performRequest("GET", "/api/v1/user/teamListing", [], $formParams); //working
            // $response = $this->performRequest("get", "/api/v1/user/teammateTask", $data, $formParams); //error
            $response = $this->performRequest("GET", "/api/v1/user/allTeamListing", [], $formParams); //error
            // $response = $this->performRequest("get", "/api/v1/user/teamMembers", $data, $formParams); //"{"code":"0","message":"the team id field is required"}"
            // dd($response);
            // dd($response);
            $response_decoded = json_decode(EncryptDecrypt::bodyDecrypt($response));
            // dd($response_decoded);

            if (!empty($response_decoded) && ($response_decoded->code == 0 || $response_decoded->code == '0')) {
                $data = null;
            } elseif (!empty($response_decoded) && ($response_decoded->code == 1 || $response_decoded->code == '1')) {
                $data = $response_decoded->data;
            }

            return view('user.my_team.my_team', compact('data'));
        } else {
            return view('user.auth.login');
        }
    }

    /*
    |--------------------------------------------------------------------------
    | ALL THE TEAMS LISTING [TEAMS IN WHICH USER HAS ALREADY JOINED AND USER CAN ALSO JOIN NEW TEAM]
    |--------------------------------------------------------------------------
    */

    public function teamListing(Request $request)
    {
        $userToken = session()->get('USER_TOKEN');

        $formParams = ['app' => 'U', 'token' => EncryptDecrypt::bodyEncrypt($userToken)];

        $response = $this->performRequest("GET", "/api/v1/user/teamListing", [], $formParams);
        $response_decoded = json_decode(EncryptDecrypt::bodyDecrypt($response));
        // dd($response_decoded);

        // +"team_id": 1
        // +"team_name": "work Team"
        // +"profile_image": "myteam.png"
        // +"admin_name": "dsgfdg"

        if (!empty($response_decoded) && ($response_decoded->code == 0 || $response_decoded->code == '0')) {
            $data = null;
        } elseif (!empty($response_decoded) && ($response_decoded->code == 1 || $response_decoded->code == '1')) {
            $data = $response_decoded->data;
        }
        // dd($data);
        return view('user.my_team.join-team', compact('data'));
    }

    /*
    |--------------------------------------------------------------------------
    | TEAM GOAL
    |--------------------------------------------------------------------------
    */

    public function teamGoal(Request $request)
    {
        // dd($request->all());
        $userToken = session()->get('USER_TOKEN');

        $post_data = array(
            'team_id' => $request->team_id,
            'from_date' => $request->from_date ?? '',
            'to_date' => $request->to_date ?? '',
        );
        // dd($post_data);
        $data = EncryptDecrypt::bodyEncrypt(json_encode($post_data));
        $formParams = ['app' => 'U', 'token' => EncryptDecrypt::bodyEncrypt($userToken)];
        $response = $this->performRequest("get", "/api/v1/user/teamGoal", $data, $formParams);
        // dd($response);
        $response_decoded = json_decode(EncryptDecrypt::bodyDecrypt($response));
        // dd($response_decoded);

        if (!empty($response_decoded) && ($response_decoded->code == 0 || $response_decoded->code == '0')) {
            $data = null;
            return response()->json(['status' => 'error', 'data' => $data]);
        } elseif (!empty($response_decoded) && ($response_decoded->code == 1 || $response_decoded->code == '1')) {
            $data = $response_decoded->data;
            return response()->json(['status' => 'success', 'data' => $data]);
        }
    }

    /*
    |--------------------------------------------------------------------------
    | GET THE TEAM MEMBERS OF PARTICULAR TEAM
    |--------------------------------------------------------------------------
    */

    public function teamMembers(Request $request)
    {
        $userToken = session()->get('USER_TOKEN');

        $post_data = array(
            'team_id' => $request->team_id,
        );

        $data = EncryptDecrypt::bodyEncrypt(json_encode($post_data));
        $formParams = ['app' => 'U', 'token' => EncryptDecrypt::bodyEncrypt($userToken)];
        $response = $this->performRequest("get", "/api/v1/user/teamMembers", $data, $formParams);
        $response_decoded = json_decode(EncryptDecrypt::bodyDecrypt($response));

        if (!empty($response_decoded) && ($response_decoded->code == 0 || $response_decoded->code == '0')) {
            $data = null;
            return response()->json(['status' => 'error', 'data' => $data]);
        } elseif (!empty($response_decoded) && ($response_decoded->code == 1 || $response_decoded->code == '1')) {
            $data = $response_decoded->data;
            $results = [];

            foreach ($data as $member) {
                $current_date = Carbon::now()->format('Y-m-d');
                $post_teammate_data = array(
                    'team_id' => $member->team_id,
                    'teammate_id' => $member->member_id,
                    'date' => $current_date,
                );

                $teammate_data = EncryptDecrypt::bodyEncrypt(json_encode($post_teammate_data));
                $teammate_response = $this->performRequest("get", "/api/v1/user/teammateTask", $teammate_data, $formParams);
                $teammate_response_decoded = json_decode(EncryptDecrypt::bodyDecrypt($teammate_response));

                if (!empty($teammate_response_decoded) && $teammate_response_decoded->code == 1) {
                    $results[] = [
                        'member_id' => $member->member_id,
                        'team_id' => $member->team_id,
                        'current_date' => $current_date,
                        'member_name' => $member->name,
                        'teammateData' => $teammate_response_decoded->data
                    ];
                } else {
                    $results[] = [
                        'member_id' => $member->member_id,
                        'team_id' => $member->team_id,
                        'current_date' => $current_date,
                        'member_name' => $member->name,
                        'teammateData' => null
                    ];
                }
            }
            // dd($results);
            return response()->json(['status' => 'success', 'data' => $results]);
        }
    }

    public function teamMembersOLD(Request $request)
    {
        $userToken = session()->get('USER_TOKEN');

        $post_data = array(
            'team_id' => $request->team_id,
        );

        $data = EncryptDecrypt::bodyEncrypt(json_encode($post_data));
        $formParams = ['app' => 'U', 'token' => EncryptDecrypt::bodyEncrypt($userToken)];
        $response = $this->performRequest("get", "/api/v1/user/teamMembers", $data, $formParams);
        $response_decoded = json_decode(EncryptDecrypt::bodyDecrypt($response));

        if (!empty($response_decoded) && ($response_decoded->code == 0 || $response_decoded->code == '0')) {
            $data = null;
            return response()->json(['status' => 'error', 'data' => $data]);
        } elseif (!empty($response_decoded) && ($response_decoded->code == 1 || $response_decoded->code == '1')) {
            $data = $response_decoded->data;
            // dd($data);

            $current_date = Carbon::now()->format('Y-m-d');
            // dd($current_date);
            $post_teammate_data_ = array(
                'team_id' => $request->team_id,
                'teammate_id' => $data['member_id'],
                'date' => $current_date,
            );
            dd($post_teammate_data_);
            $teammate_data = EncryptDecrypt::bodyEncrypt(json_encode($post_teammate_data_));
            $teammate_response = $this->performRequest("get", "/api/v1/user/teammateTask", $teammate_data, $formParams); //error
            $teammate_response_decoded = json_decode(EncryptDecrypt::bodyDecrypt($teammate_response)); //error

            if (!empty($teammate_response_decoded) && ($teammate_response_decoded->code == 0 || $teammate_response_decoded->code == '0')) {
                $teammate_data = null;
                return response()->json(['status' => 'error', 'data' => $data, 'teammateData' => $teammate_data]);
            } elseif (!empty($response_decoded) && ($response_decoded->code == 1 || $response_decoded->code == '1')) {
                $teammate_data = $teammate_response_decoded->data;
                return response()->json(['status' => 'success', 'data' => $data, 'teammateData' => $teammate_data]);
            }
        }
    }

    /*
    |--------------------------------------------------------------------------
    | LEAVE TEAM
    |--------------------------------------------------------------------------
    */

    public function leaveTeam(Request $request)
    {
        $userToken = session()->get('USER_TOKEN');

        $post_data = array(
            'team_id' => $request->team_id,
        );

        $data = EncryptDecrypt::bodyEncrypt(json_encode($post_data));
        $formParams = ['app' => 'U', 'token' => EncryptDecrypt::bodyEncrypt($userToken)];
        $response = $this->performRequest("POST", "/api/v1/user/leaveTeam", $data, $formParams);
        $response_decoded = json_decode(EncryptDecrypt::bodyDecrypt($response));

        if (!empty($response_decoded) && ($response_decoded->code == 0 || $response_decoded->code == '0')) {
            return response()->json(['status' => 'error', 'message' => "There was an error"]);
        } elseif (!empty($response_decoded) && ($response_decoded->code == 1 || $response_decoded->code == '1')) {
            return response()->json(['status' => 'success', 'message' => "You left the Team"]);
        }
    }

    /*
    |--------------------------------------------------------------------------
    | JOIN TEAM
    |--------------------------------------------------------------------------
    */

    public function joinTeam(Request $request)
    {
        $userToken = session()->get('USER_TOKEN');

        $post_data = array(
            'team_id' => $request->team_id,
        );

        $data = EncryptDecrypt::bodyEncrypt(json_encode($post_data));
        $formParams = ['app' => 'U', 'token' => EncryptDecrypt::bodyEncrypt($userToken)];
        $response = $this->performRequest("POST", "/api/v1/user/joinTeam", $data, $formParams);
        $response_decoded = json_decode(EncryptDecrypt::bodyDecrypt($response));

        if (!empty($response_decoded) && ($response_decoded->code == 0 || $response_decoded->code == '0')) {
            return response()->json(['status' => 'error', 'message' => "There was an error"]);
        } elseif (!empty($response_decoded) && ($response_decoded->code == 1 || $response_decoded->code == '1')) {
            return response()->json(['status' => 'success', 'message' => "You have successfully joined the team"]);
        }
    }


    public function deleteTeamMate(Request $request)
    {
        $userToken = session()->get('USER_TOKEN');

        $post_data = array(
            'team_id' => $request->team_id,
            'teammate_id' => $request->teammate_id,
        );

        $data = EncryptDecrypt::bodyEncrypt(json_encode($post_data));
        $formParams = ['app' => 'U', 'token' => EncryptDecrypt::bodyEncrypt($userToken)];
        $response = $this->performRequest("get", "/api/v1/user/deleteTeamMember", $data, $formParams);
        // dd($response);
        $response_decoded = json_decode(EncryptDecrypt::bodyDecrypt($response));
        // dd($response_decoded);
        if (!empty($response_decoded) && ($response_decoded->code == 0 || $response_decoded->code == '0')) {
            return response()->json(['status' => 'error', 'message' => "There was an error"]);
        } elseif (!empty($response_decoded) && ($response_decoded->code == 1 || $response_decoded->code == '1')) {
            return response()->json(['status' => 'success', 'message' => "Teammate Deleted Successfully"]);
        }
    }

    public function getTeamMemberDetails(Request $request)
    {
        // dd($request->all());
        $userToken = session()->get('USER_TOKEN');

        $current_date = Carbon::now()->format('Y-m-d');
        $post_data = array(
            'team_id' => $request->team_id,
            'teammate_id' => $request->teammate_id,
            'date' => $current_date,
        );
        // dd($post_data);
        $data = EncryptDecrypt::bodyEncrypt(json_encode($post_data));
        $formParams = ['app' => 'U', 'token' => EncryptDecrypt::bodyEncrypt($userToken)];
        $response = $this->performRequest("get", "/api/v1/user/teammateTask", $data, $formParams);
        // dd($response);
        $response_decoded = json_decode(EncryptDecrypt::bodyDecrypt($response));
        // dd($response_decoded);
        if (!empty($response_decoded) && ($response_decoded->code == 0 || $response_decoded->code == '0')) {
            $data = null;
            return response()->json(['status' => 'error', 'data' => $data]);
        } elseif (!empty($response_decoded) && ($response_decoded->code == 1 || $response_decoded->code == '1')) {
            $data = $response_decoded->data;
            // dd($data);
            return response()->json(['status' => 'success', 'data' => $data]);

        }
    }
}
