<?php

namespace App\Http\Controllers\User;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Session;
use App\Helpers\EncryptDecrypt;
use App\Traits\ConsumeExternalService;


class ScheduledController extends Controller
{
    use ConsumeExternalService;

    public function scheduled()
    {
        $userToken = session()->get('USER_TOKEN');
        // dd($userToken);


        $formParams = ['app' => 'U', 'token' => EncryptDecrypt::bodyEncrypt($userToken)];


        $post_data = array(
            'to_date' => '2024/4/20',
            'from_date' => '2024/4/30',
        );

        $data = EncryptDecrypt::bodyEncrypt(json_encode($post_data));
        $response = $this->performRequest("get", "/api/v1/user/sheduledListing", $data, $formParams);
        $response_decoded = json_decode(EncryptDecrypt::bodyDecrypt($response));
        // dd($response_decoded);

        return view('user.scheduled.scheduled');
    }

    public function getListing(Request $request)
    {
        // dd($request->all());
        $userToken = session()->get('USER_TOKEN');

        $formParams = ['app' => 'U', 'token' => EncryptDecrypt::bodyEncrypt($userToken)];

        $post_data = array(
            'dates' => $request->date,
            
        );

        $data = EncryptDecrypt::bodyEncrypt(json_encode($post_data));
        $response = $this->performRequest("get", "/api/v1/user/sheduledListing", $data, $formParams);
        $response_decoded = json_decode(EncryptDecrypt::bodyDecrypt($response));
        // dd($response_decoded);
        if (!empty($response_decoded) && ($response_decoded->code == 0 || $response_decoded->code == '0')) {
            return response()->json(['status' => 'error', 'message' => $response_decoded->message]);
        } elseif (!empty($response_decoded) && ($response_decoded->code == 1 || $response_decoded->code == '1')) {
            $data = $response_decoded->data;
            return response()->json(['status' => 'success', 'message' => 'Contact Type added Successfully', 'data' => $data]);
        }
    }
}
