<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <meta name="description" content="">
    <meta name="keywords" content="">
    <meta name="author" content="">
    <title>Chatalott</title>

    @include('user.inc.style')
    <style>
        span ul li {
            list-style: none;
            padding: 0;
            margin: 0;
            color: #df1010;
            margin-top: -16px;
            margin-bottom: 10px;
        }

        .phone_input input {
            padding-left: 16px !important;
        }

        .phone_input .iti__flag-container {
            position: static !important;
            margin-right: 10px;
        }

        .phone_input .iti {
            display: flex !important;
        }

        .phone_input .iti--separate-dial-code .phone_input .iti__selected-flag {
            background-color: #F5F8FF;
        }

        .phone_input .iti__selected-flag {
            background: #F5F8FF;
            border-radius: 6px;
            width: 100%;
            padding: 10px 16px;
            border: none;
            color: #9197A6;
            height: auto;
            font-size: 14px;
            border: 1px solid #F5F8FF;
        }
    </style>
</head>

<body>
    <main>
        <section class="sign_sec">
            <div class="container">
                <div class="row">
                    <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 col-12">
                        <div class="back py-2">
                            <a href="{{route('user.login')}}"><img src="{{asset('assets/images/sign/back.svg')}}" alt="back"></a>
                        </div>
                        <div class="sign-left">
                            <div class="chnage-pw-content">
                                <div class="logo1">
                                    <img src="{{asset('assets/images/logo1.png')}}" alt="logo">
                                </div>
                                <div class="sign-title">
                                    <h5>Sign Up</h5>
                                    <p>Enter your details to create an account</p>

                                </div>


                                <form class="w-100" id="signupform" name="signupform" method="POST" action="{{ route('user.signupPost') }}" enctype="multipart/form-data" data-parsley-validate="">
                                    @csrf
                                    @include('user.inc.flash')

                                    <div class="change-pw-form sign-form">

                                        <div class="input-fild">
                                            <input type="text" name="name" id="name" value="" placeholder="Name" data-parsley-required="true" data-parsley-errors-container="#nameerror" data-parsley-pattern="^(?!\s+$)(?!.*\s{2,}).*" data-parsley-pattern-message="Name cannot start with a space" data-parsley-required-message="Please enter name">
                                            <label for="" class="left-icon"><img src="{{asset('assets/images/icons/user-icon.svg')}}" alt="user"></label>
                                            <span id="nameerror" class="text-danger"></span>
                                        </div>

                                        <div class="input-fild">
                                            <input type="email" name="email" id="email" value="" placeholder="Email" data-parsley-required="true" data-parsley-errors-container="#emailerror" data-parsley-required-message="Please enter email">
                                            <label for="" class="left-icon"><img src="{{asset('assets/images/icons/user-icon.svg')}}" alt="user"></label>
                                            <span id="emailerror" class="text-danger"></span>
                                        </div>

                                        <div class="section-country phone_input">

                                            <input type="hidden" name="mobile_code" id="mobile_code" value="91" />

                                            <input type="text" name="phone" id="phone" value="" placeholder="Phone number" data-parsley-required="true" data-parsley-errors-container="#moberror" data-parsley-required-message="Please enter phone number" pattern="[0-9]+" inputmode="numeric" minlength="10" maxlength="10" data-parsley-length="[10,10]" oninput="this.value = this.value.replace(/[^0-9]/g, '');" data-parsley-length-message="it should be 9 digits only" data-parsley-pattern-message="Please enter only numeric characters for the phone number" style="width: 230px;">
                                        </div>

                                        <!-- <div class=" section-country">
                                            <input type="text" id="mobile_code" class="form-control" placeholder="" name="name">
                                            <div class="input-fild">
                                                <input type="text" placeholder="Phone number">
                                                <label for="" class="left-icon"><img src="./assets/images/sign/phone.svg" alt="phone"></label>
                                            </div>
                                        </div> -->
                                        <span id="moberror" class="text-danger"></span>

                                        <div class="input-fild">
                                            <input type="password" placeholder="Password" id="password" name="password" value="" pattern="^(?=.*[A-Za-z])(?=.*[A-Z])(?=.*\d)(?=.*[@$!%*#?&])[A-Za-z\d@$!%*#?&]{8,}$" data-parsley-required="true" data-parsley-required-message="Please enter password" data-parsley-pattern-message="Password should containat least 1 digit, 1 special character, 1 uppercase & 1 lowercase, and have a minimum length of 8 characters" data-parsley-errors-container="#newpassworderror">
                                            <label for="" class="left-icon"><img src="./assets/images/icons/lock.svg" alt="password"></label>
                                            <label id="toggle-password" style="font-size: math;cursor: pointer; color: #686363;" for="" class="right-icon"><i class="fas fa-eye-slash fa-lg" id="eye-icon"></i></label>
                                        </div>
                                        <span id="newpassworderror" class="text-danger"></span>

                                        <div class="input-fild">
                                            <input type="password" name="c_password" id="c_password" value="" placeholder="Confirm Password" data-parsley-required="true" data-parsley-required-message="Please enter confirm password" data-parsley-equalto="#password" data-parsley-equalto-message="New password and confirm password should be same" data-parsley-errors-container="#cpassworderror" placeholder="Confirm Password">
                                            <label for="" class="left-icon"><img src="./assets/images/icons/lock.svg" alt="password"></label>
                                            <label id="toggle-c_password" style="font-size: math;cursor: pointer; color: #686363;" for="" class="right-icon"><i class="fas fa-eye-slash fa-lg" id="eye-iconn"></i></label>
                                        </div>
                                        <span id="cpassworderror" class="text-danger"></span>

                                    </div>

                                    <button type="submit" class="Submit btn-1-settings" data-bs-toggle="modal">Sign
                                        Up</button>

                                </form>

                            </div>
                        </div>
                    </div>

                    <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 col-12">
                        <div class="sign-right">
                            <div class="chatalott-card">
                                <div class="chatalott_img">
                                    <img src="{{asset('assets/images/sign/social-link.png')}}" alt="social-link" class="social-link">
                                    <div class="social-icon-top">
                                        <a href="#"><img src="{{asset('assets/images/sign/insta.svg')}}" alt="insta" class="img-fluid instagram"></a>
                                        <a href="#"> <img src="{{asset('assets/images/sign/twiter.svg')}}" alt="twiter" class="img-fluid twiter">
                                        </a>
                                    </div>
                                    <div class="social-icon-buttom">
                                        <a href="#"><img src="{{asset('assets/images/sign/faceBook.svg')}}" alt="faceBook" class="img-fluid faceBook"></a>
                                        <a href="#"><img src="{{asset('assets/images/sign/linkedin.svg')}}" alt="linkedin" class="img-fluid linkedin"></a>
                                    </div>
                                    <a href="#" class="link-creat">Create link</a>
                                    <a href="#" class="share-button">Share</a>
                                    <a href="#" class="close-button"><i class="fa-solid fa-xmark"></i></a>
                                </div>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>


        <!--Forgote  Modal -->
        <div class="modal fade" id="otp-modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered">
                <div class="modal-content forgot-mox">
                    <div class="modal-header border-0">
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body border-0">
                        <div class="chnage-pw-content">
                            <div class="change-pw-details text-center">
                                <div class="forgot-txt">
                                    <h6>OTP Varification</h6>
                                    <p>We have sent a verification code to your mobile number to verify it.
                                    </p>
                                </div>
                            </div>
                            <form action="#" class="w-100">
                                <div class="verify-code">
                                    <input type="text" class="form-control" placeholder="1" maxlength="1">
                                    <input type="text" class="form-control " placeholder="0" maxlength="1">
                                    <input type="text" class="form-control " placeholder="0" maxlength="1">
                                    <input type="text" class="form-control " placeholder="0" maxlength="1">
                                </div>
                                <button class="Submit btn-1-settings">Submit</button>
                            </form>
                        </div>
                    </div>

                </div>
            </div>
        </div>


        <!-- script.php -->

        @include('user.inc.script')
    </main>
    <script>
        $(document).ready(function() {
            $("#toggle-password").click(function() {
                var passwordInput = $("#password");
                var eyeIcon = $("#eye-icon");

                if (passwordInput.attr("type") === "password") {
                    passwordInput.attr("type", "text");
                    eyeIcon.removeClass("fa-eye-slash").addClass("fa-eye");
                } else {
                    passwordInput.attr("type", "password");
                    eyeIcon.removeClass("fa-eye").addClass("fa-eye-slash");
                }
            });
        });


        $(document).ready(function() {
            $("#toggle-c_password").click(function() {
                var passwordInput = $("#c_password");
                var eyeIcon = $("#eye-iconn");

                if (passwordInput.attr("type") === "password") {
                    passwordInput.attr("type", "text");
                    eyeIcon.removeClass("fa-eye-slash").addClass("fa-eye");
                } else {
                    passwordInput.attr("type", "password");
                    eyeIcon.removeClass("fa-eye").addClass("fa-eye-slash");
                }
            });
        });

        document.getElementById('email').addEventListener('input', function() {
            var emailInput = this.value.trim(); // Trim to remove leading and trailing spaces
            this.value = emailInput; // Update the input value without leading or trailing spaces
        });

        document.getElementById('password').addEventListener('input', function() {
            var emailInput = this.value.trim(); // Trim to remove leading and trailing spaces
            this.value = emailInput; // Update the input value without leading or trailing spaces
        });

        document.getElementById('c_password').addEventListener('input', function() {
            var emailInput = this.value.trim(); // Trim to remove leading and trailing spaces
            this.value = emailInput; // Update the input value without leading or trailing spaces
        });




        $("#phone").intlTelInput({
            initialCountry: "in",
            separateDialCode: true,
            // utilsScript: "https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/11.0.4/js/utils.js"
        }).on('countrychange', function(e, countryData) {
            $("#mobile_code").val(($("#phone").intlTelInput("getSelectedCountryData").dialCode));

        });
    </script>
</body>

</html>