<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Dynamic Speedometer</title>
    <style>
        body {
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
            margin: 0;
            background-color: #f2f2f2;
        }

        .speedometer {
            position: relative;
            width: 200px;
            height: 200px;
            background-color: #fff;
            border-radius: 50%;
        }

        .needle {
            position: absolute;
            top: 50%;
            left: 50%;
            transform-origin: center;
            transform: rotate(0deg);
            background-color: #000;
            width: 5px;
            height: 50px;
        }

        .speed-text {
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            font-size: 24px;
            font-weight: bold;
        }
    </style>
</head>
<body>
    <div class="speedometer">
        <div class="needle"></div>
        <div class="speed-text">0</div>
    </div>

    <script>
        const speedometer = document.querySelector('.speedometer');
        const needle = document.querySelector('.needle');
        const speedText = document.querySelector('.speed-text');

        let currentSpeed = 0;

        function updateSpeedometer(newSpeed) {
            currentSpeed = newSpeed;

            const angle = 270 * (newSpeed / 100);
            needle.style.transform = `rotate(${angle}deg)`;

            speedText.textContent = newSpeed;
        }

        // Simulate speed changes
        setInterval(() => {
            const newSpeed = Math.random() * 100;
            updateSpeedometer(newSpeed);
        }, 1000);
    </script>
</body>
</html>
