<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>Chatalott</title>

    @include('user.inc.style')
    <style>
        #copy-box-modal.modal {
            z-index: 1060;
            /* higher than the first modal */
        }
    </style>
    @yield('styles')
</head>

<body>

    <main>
        <!-- header.php -->
        @include('user.inc.header')

        <!-- <div class="content-main-box"> -->
        <!-- <div class="content-wrap"> -->

        <div class="content-main-box">
            <div class="content-wrap">


                @yield('content')



            </div>

            @include('user.inc.footer')
        </div>



        <!-- delete-popup_new-contact Used in Dashboard and my Contact -->
        <div class="delete-popup">
            <div class="modal fade" id="delete-popup_new-contact" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered">
                    <div class="modal-content">
                        <div class="modal-body">
                            <div class="delete-container">
                                <img src="{{asset('assets/images/icons/delete-icon.svg')}}" alt="" data-bs-toggle="modal" data-bs-target="#delete-popup__newcontact">
                                <p class="f-16 b-6">Do you want to delete the contact?</p>
                                <input type="text" id="contact-id">

                                <div class="btn-cancel_deleted_container">
                                    <button class="btn-cancel_deleted" data-bs-dismiss="modal" aria-label="Close">Cancel</button>
                                    <button class="btn-cancel_deleted btn-delete delete-contact">Delete</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!-- edit-popup -->
        <div class="edit-popup">
            <div class="modal fade" id="edit" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered">
                    <div class="modal-content">
                        <div class="modal-body">
                            <div class="btn-close-edit">
                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
                                    <!-- <img src="./assets/images/icons/close-btn-1.svg" alt="" class="close-btn-1"> -->
                                </button>
                            </div>
                            <p class="b-7 f-14 text-center">
                                How many contacts would you like to add today?
                            </p>
                            <form action="">
                                <div class="edit-cal">
                                    <button class="left bg-1"></button>
                                    <input type="text" value="3">
                                    <button class="right bg-2"></button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!-- mark-completed-popup_followup -->
        <div class="mark-completed-popup">
            <div class="modal fade" id="mark-completed-followup" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered">
                    <div class="modal-content">
                        <div class="modal-body">
                            <div class="close-mark-complete">
                                <p class="f-12 b-6">Mark follow up completed</p>
                                <button data-bs-dismiss="modal" aria-label="Close" class="bg-close"></button>
                            </div>
                            <form id="completeFollowUpForm" action="{{route('markFollowupComplete')}}" method="POST">
                                @csrf
                                <input type="text" id="complete_followup_id" name="complete_followup_id">
                                <textarea name="followup_completed_note" id="followup_completed_note" placeholder="Add Notes..."></textarea>
                                <button class="btn-attach-file">+ Attach File</button>
                                <button type="submit" class="btn-save-contact">Save</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>


        <!-- mark-completed-popup_Reconnect -->
        <div class="mark-completed-popup">
            <div class="modal fade" id="mark-completed-Reconnect" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered ">
                    <div class="modal-content">
                        <div class="modal-body">
                            <div class="close-mark-complete">
                                <p class="f-12 b-6">Mark reconnect completed</p>
                                <button data-bs-dismiss="modal" aria-label="Close" class="bg-close"></button>
                            </div>
                            <textarea name="comment" form="usrform">Add Notes
                            </textarea>
                            <button class="btn-attach-file">+ Attach File</button>
                            <button class="btn-save-contact">Save</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>


        <!-- DELETE FOLLOWUP POPUP -->
        <div class="delete-popup">
            <div class="modal fade" id="delete-popup__followup" tabindex="-1" aria-hidden="true" aria-labelledby="exampleModalToggleLabel" aria-hidden="true">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-body">
                            <div class="delete-container">
                                <img src="{{asset('assets/images/icons/delete-icon.svg')}}" alt="" data-bs-toggle="modal" data-bs-target="#delete-popup__newcontact">
                                <p class="f-16 b-6">Do you want to delete the follow-up?</p>
                                <input type="text" id="followup_id" name="followup_id">
                                <div class="btn-cancel_deleted_container">
                                    <button class="btn-cancel_deleted" data-bs-dismiss="modal" aria-label="Close">Cancel</button>
                                    <button class="btn-cancel_deleted delete-followup">Delete</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!-- delete-popup__newcontact -->
        <!-- <div class="delete-popup delete-popup__newcontact">
            <div class="modal fade" id="delete-popup__newcontact" tabindex="-1" aria-hidden="true" aria-labelledby="exampleModalToggleLabel" aria-hidden="true">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-body">
                            <div class="delete-container">
                                <img src="{{asset('assets/images/icons/delete-icon.svg')}}" alt="">
                                <p class="f-16 b-6">Do you want to delete the new contact?</p>
                                <input type="text" id="contact-id">

                                <div class="btn-cancel_deleted_container">
                                    <button class="btn-cancel_deleted" data-bs-dismiss="modal" aria-label="Close">Cancel</button>
                                    <button class="btn-cancel_deleted btn-delete delete-contact">Delete</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div> -->


        <!-- mark-completed-popup_Meeting -->
        <!-- <div class="mark-completed-popup">
            <div class="modal fade" id="mark-completed-Meeting" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered ">
                    <div class="modal-content">
                        <div class="modal-body">
                            <div class="close-mark-complete">
                                <p class="f-12 b-6">Mark meeting completed</p>
                                <button data-bs-dismiss="modal" aria-label="Close" class="bg-close"></button>
                            </div>
                            <form action="">
                                <textarea name="comment" form="usrform">Add Notes
                            </textarea>
                                <button class="btn-attach-file">+ Attach File</button>
                                <button class="btn-save-contact">Save</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div> -->

        <!-- <div class="mark-completed-popup">
            <div class="modal fade" id="mark-completed-Meeting" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered">
                    <div class="modal-content">
                        <div class="modal-body">
                            <div class="close-mark-complete">
                                <p class="f-12 b-6">Mark follow up completed</p>
                                <button data-bs-dismiss="modal" aria-label="Close" class="bg-close"></button>
                            </div>
                            <textarea name="comment" form="usrform">Add Notes
                            </textarea>
                            <input type="text" name="meeting_id" id="meeting_id" />

                            <button class="btn-attach-file">+ Attach File</button>
                            <button class="btn-save-contact">Save</button>
                        </div>
                    </div>
                </div>
            </div>
        </div> -->

        <!-- delete-popup_Meeting -->
        <div class="delete-popup">
            <div class="modal fade" id="delete-popup_Meeting" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-body">
                            <div class="delete-container">
                                <img src="{{asset('assets/images/icons/delete-icon.svg')}}" alt="" data-bs-toggle="modal" data-bs-target="#delete-popup__newcontact">
                                <p class="f-16 b-6">Do you want to delete the meeting?</p>
                                <div class="btn-cancel_deleted_container">
                                    <input type="text" id="contact-meeting-id">
                                    <button class="btn-cancel_deleted" data-bs-dismiss="modal" aria-label="Close">Cancel</button>
                                    <button class="btn-cancel_deleted btn-delete delete-meeting">Delete</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>


        <!-- delete-popup_Reconnect -->
        <div class="delete-popup">
            <div class="modal fade" id="delete-popup_Reconnect" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-body">
                            <div class="delete-container">
                                <img src="./assets/images/icons/delete-icon.svg" alt="" data-bs-toggle="modal" data-bs-target="#delete-popup__newcontact">
                                <p class="f-16 b-6">Do you want to delete the reconnect?</p>
                                <div class="btn-cancel_deleted_container">
                                    <button class="btn-cancel_deleted" data-bs-dismiss="modal" aria-label="Close">Cancel</button>
                                    <button class="btn-cancel_deleted btn-delete">Delete</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!-- Modal Notes -->
        <div class="modal fade" id="note-1" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-body">
                        This is for Notes
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" datsa-bs-dismiss="modal">Close</button>
                        <button type="button" class="btn btn-primary">Save changes</button>
                    </div>
                </div>
            </div>
        </div>

        <!-- MARK MEETING COMPLETED POPUP MODAL -->
        <div class="mark-completed-popup">
            <div class="modal fade" id="mark-completed-Meeting" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered">
                    <div class="modal-content">
                        <div class="modal-body">
                            <div class="close-mark-complete">
                                <p class="f-12 b-6">Mark Meeting Completed</p>
                                <button data-bs-dismiss="modal" aria-label="Close" class="bg-close"></button>
                            </div>
                            <form id="markMeetingCompletedForm" action="{{route('markMeetingComplete')}}" method="POST">
                                @csrf
                                <textarea name="meeting_notes" id="meeting_notes" rows="4" cols="4" placeholder="Add Notes"></textarea>
                                <span class="error" id="notes_error"></span>
                                <input type="text" name="meeting_id" id="meeting_id" />

                                <button class="btn-attach-file">+ Attach File</button>
                                <button type="submit" class="btn-save-contact">Save</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>


        <!-- Rename Contact Type -->
        <div class="delete-popup">
            <div class="modal fade" id="rename_contact_type" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered">
                    <div class="modal-content">
                        <div class="modal-body">
                            <div class="delete-container">
                                <img src="{{asset('assets/images/icons/ediT.svg')}}" alt="">
                                <p class="f-16 b-6">Rename Contact Type</p>
                                <form id="renameContactType" method="POST" action="{{route('renameContactType')}}">
                                    @csrf
                                    <input type="hidden" name="contact_type_id" id="contact_type_id">
                                    <div class="meet-fild mb-3">
                                        <input type="text" placeholder="Contact Type" class="input-fild " name="rename_type" id="rename_type">
                                    </div>

                                    <div class="btn-cancel_deleted_container">
                                        <button type="button" class="btn-cancel_deleted" data-bs-dismiss="modal" aria-label="Close">Cancel</button>
                                        <button type="submit" class="btn-cancel_deleted btn-delete">Rename</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!-- DELETE CONTACT TYPE modal -->
        <div class="delete-popup">
            <div class="modal fade" id="delete_contact_type" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered">
                    <div class="modal-content">
                        <div class="modal-body">
                            <div class="delete-container">
                                <img src="{{asset('assets/images/icons/delete-icon.svg')}}" alt="" data-bs-toggle="modal" data-bs-target="#delete-popup__newcontact">
                                <p class="f-16 b-6">Do you want to delete this Contact type?</p>
                                <input type="text" name="delete_contact_id" id="delete_contact_id">
                                <div class="btn-cancel_deleted_container">
                                    <button class="btn-cancel_deleted" data-bs-dismiss="modal" aria-label="Close">Cancel</button>
                                    <button class="btn-cancel_deleted btn-delete btn-delete-type">Delete</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>



        

        <div class="copy_modal">
            <div class="modal fade" id="copy-box-modal" tabindex="-1" aria-hidden="true" aria-labelledby="exampleModalToggleLabel">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-body">
                            <div class="copy_title mt-3">
                                <h6>Let’s add your social media accounts</h6>
                                <form action="{{route('updateContact')}}" id="socialMediaForm" class="custom_form  mt-4">
                                    <div class="form-group   mb-2">
                                        <select class="form-select" aria-label="Default select example">
                                            @if(session('SOCIAL_MEDIA_LIST'))
                                            @foreach(session('SOCIAL_MEDIA_LIST') as $socialMedia)
                                            <option value="{{$socialMedia->id}}">{{$socialMedia->name}}</option>
                                            @endforeach
                                            @endif
                                        </select>
                                    </div>
                                    <div class="copy_input change-pw-form mt-0">
                                        <input type="text" name="social_media_link" id="social_media_link" placeholder="www.Linkedin.com/bettie12345">
                                        <div class="copy-icon">
                                            <span>
                                                <i class="fa-solid fa-xmark"></i>
                                            </span>
                                            <span class="active-box">
                                                <i class="fa-solid fa-check"></i>
                                            </span>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>





        <div class="calendar-popup tab-modal">
            <div class="modal" id="myModal-3" tabindex="-1" aria-labelledby="myModalLabel" aria-hidden="true">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-body">
                            <ul class="date_Celander">
                                <div class="wrapper date-time-cal border-0">
                                    <div class="select-date d-flex align-items-center justify-content-between">
                                        <h6>Select Date</h6>
                                        <header class="date_calander">
                                            <p class="current-date">April 2024</p>
                                            <div class="icons">
                                                <span id="prev">
                                                    <i class="ph-bold ph-caret-left fa-solid fa-chevron-left"></i>
                                                </span>
                                                <span id="next">
                                                    <i class="ph-bold ph-caret-right fa-solid fa-chevron-right"></i>
                                                </span>

                                            </div>
                                        </header>
                                    </div>

                                </div>
                            </ul>
                            <a data-show-modal="select-time" class="ri-date-time showmodal"><img src="./assets/images/icons/ri-time-line.svg" alt="clock" class="me-2">Select Time</a>

                            <button type="button" class="btn-save-contact">
                                Save
                            </button>

                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="calendar-popup bootom-modal f-modal">
            <div class="modal" id="select-time" tabindex="-1" aria-labelledby="myModalLabel" aria-hidden="true">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-body">
                            <div class="select-date-box">
                                <h6>Select time</h6>
                                <input type="hidden" id="timePickerInput">
                                <div id="timePicker" class="custom-time-picker"></div>
                                <div class="mx-4">
                                    <button class="btn-add-new-task w-100 mt-0" data-bs-target="#meet-form" data-bs-toggle="modal">
                                        Next</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </main>

    <!-- script.php -->
    @include('user.inc.script')
    <script>
        // CONTACT-TYPE FORM VALIDATION AND FORM SUBMITION USING AJAX
        $("#addContactType").validate({
            rules: {
                contact_type: {
                    required: true,
                },
                color: {
                    required: true,
                }
            },
            messages: {
                contact_type: {
                    required: "Please enter a contact type",
                },
                color: {
                    required: "Please select color",
                }
            },
            errorPlacement: function(error, element) {
                if (element.attr("name") === "contact_type") {
                    error.appendTo("#contact_type_error");
                } else {
                    error.insertAfter(element); // Handle other inputs like default
                }
            },
            submitHandler: function(form, event) {
                event.preventDefault();

                var formData = new FormData(form);
                console.log('Form Data', formData);
                $.ajax({
                    url: form.action,
                    type: 'POST',
                    processData: false,
                    contentType: false,
                    data: formData,
                    success: function(response) {
                        console.log(response);
                        if (response.status == "success") {
                            Toastify({
                                text: response.message,
                                duration: 3000,
                                close: true,
                                gravity: "top",
                                position: 'right',
                                backgroundColor: "rgb(33, 37, 41);",
                                className: "info",
                            }).showToast();
                            $('#addContactType').trigger("reset");
                            window.location.reload();
                        } else {
                            Toastify({
                                text: response.message,
                                duration: 3000,
                                close: true,
                                gravity: "top", // `top` or `bottom`
                                position: 'right', // `left`, `center` or `right`
                                backgroundColor: "rgb(33, 37, 41);",
                                className: "info",
                            }).showToast();
                            $('#addContactType').trigger("reset");
                        }

                    },
                    error: function(xhr, textStatus, errorThrown) {

                        Toastify({
                            text: "Failed to schedule the meeting. Please try again.",
                            duration: 5000,
                            close: true,
                            gravity: "top",
                            position: 'right',
                            backgroundColor: "rgb(33, 37, 41);",
                            className: "error",
                        }).showToast();
                        $('#addContactType').trigger("reset");
                    }
                });

                return false;
            }
        });

        // THIS [.delete && .delete-contact] IS USED TO DELETE THE CONTACT FROM THE CONTACT LISTING IN DASHBOARD AND CONTACT SECTION
        $('.delete').click(function() {
            var contactId = $(this).data('contact-id');
            $('#contact-id').val(contactId);
        });

        $('.delete-contact').click(function() {
            // Get the contact id
            var contactId = $('#contact-id').val();
            alert(contactId);
            // Perform AJAX request to delete the contact
            $.ajax({
                url: '{{route("deleteContact")}}', // Specify your delete contact route
                type: 'POST',
                data: {
                    _token: '{{ csrf_token() }}',
                    contactId: contactId
                },
                success: function(response) {
                    console.log(response);
                    // If deletion is successful, close the modal or do any other action
                    // For example:
                    $('#delete-popup_new-contact').modal('hide');
                    window.location.reload();
                },
                error: function(xhr, status, error) {
                    // If deletion fails, handle the error
                    console.error('Error deleting contact:', error);
                }
            });
        });

        // THIS [.dlt-meeting && .delete-meeting] IS USED TO DELETE THE MEETING FROM THE MEETING LISTING IN DASHBOARD

        $('.dlt-meeting').click(function() {
            var contactId = $(this).data('contact-id'); // Get the contact id
            $('#contact-meeting-id').val(contactId); // Set the contact id in the hidden input field
        });

        $('.delete-meeting').click(function() {
            // Get the contact id
            var contactId = $('#contact-meeting-id').val();
            alert(contactId);
            // Perform AJAX request to delete the contact
            $.ajax({
                url: '{{route("deleteMeeting")}}', // Specify your delete contact route
                type: 'POST',
                data: {
                    _token: '{{ csrf_token() }}',
                    contactId: contactId
                },
                success: function(response) {
                    console.log(response);
                    // If deletion is successful, close the modal or do any other action
                    // For example:
                    $('#delete-popup_Meeting').modal('hide');
                    window.location.reload();
                },
                error: function(xhr, status, error) {
                    // If deletion fails, handle the error
                    console.error('Error deleting contact:', error);
                }
            });
        });

        // THIS [.mark-meeting-completed] IS USED TO SET MEETING ID IN #mark-completed-Meeting MODAL
        $('.mark-meeting-completed').click(function() {
            var meetingId = $(this).data('meeting-id');
            $('#meeting_id').val(meetingId);
        });

        // THIS IS FOR VALIDATING MARK MEETING COMPLETED FORM WHICH IS IN DASHBOARD > MEETING LISTING
        $("#markMeetingCompletedForm").validate({
            rules: {
                meeting_notes: {
                    required: true,
                },
            },
            messages: {
                meeting_notes: {
                    required: "Please enter meeting note",
                },
            },
            errorPlacement: function(error, element) {
                if (element.attr("name") === "meeting_notes") {
                    error.appendTo("#notes_error");
                } else {
                    error.insertAfter(element);
                }
            },
            submitHandler: function(form, event) {
                event.preventDefault();

                var formData = new FormData(form);
                console.log('Form Data', formData);
                $.ajax({
                    url: form.action,
                    type: 'POST',
                    processData: false,
                    contentType: false,
                    data: formData,
                    success: function(response) {
                        console.log(response);
                        if (response.status == "success") {
                            Toastify({
                                text: response.message,
                                duration: 3000,
                                close: true,
                                gravity: "top",
                                position: 'right',
                                backgroundColor: "rgb(33, 37, 41);",
                                className: "info",
                            }).showToast();
                            $('#markMeetingCompletedForm').trigger("reset");
                            window.location.reload();
                        } else {
                            Toastify({
                                text: response.message,
                                duration: 3000,
                                close: true,
                                gravity: "top", // `top` or `bottom`
                                position: 'right', // `left`, `center` or `right`
                                backgroundColor: "rgb(33, 37, 41);",
                                className: "info",
                            }).showToast();
                            $('#markMeetingCompletedForm').trigger("reset");
                            
                            $('#mark-completed-Meeting').modal('hide');

                        }

                    },
                    error: function(xhr, textStatus, errorThrown) {

                        Toastify({
                            text: "Failed to schedule the meeting. Please try again.",
                            duration: 5000,
                            close: true,
                            gravity: "top",
                            position: 'right',
                            backgroundColor: "rgb(33, 37, 41);",
                            className: "error",
                        }).showToast();
                        $('#markMeetingCompletedForm').trigger("reset");
                    }
                });

                return false;
            }
        });


        // $('.delete-contact').click(function() {
        //     // Get the contact id
        //     var contactId = $('#contact-id').val();
        //     alert(contactId);
        //     // Perform AJAX request to delete the contact
        //     $.ajax({
        //         url: '{{route("deleteContact")}}', // Specify your delete contact route
        //         type: 'POST',
        //         data: {
        //             _token: '{{ csrf_token() }}',
        //             contactId: contactId
        //         },
        //         success: function(response) {
        //             console.log(response);
        //             // If deletion is successful, close the modal or do any other action
        //             // For example:
        //             $('#delete-popup_new-contact').modal('hide');
        //             window.location.reload();
        //         },
        //         error: function(xhr, status, error) {
        //             // If deletion fails, handle the error
        //             console.error('Error deleting contact:', error);
        //         }
        //     });
        // });

        //THIS IS USED TO SET THE CONTACT TYPE NAME & ID INTO #rename_contact_type MODAL
        $('.rename-contact-type').click(function() {
            var contactId = $(this).data('contact-type-id');
            var contactType = $(this).data('contact-type');
            $('#contact_type_id').val(contactId);
            $('#rename_type').val(contactType);
        });

        // RENAME-CONTACT-TYPE FORM VALIDATION AND FORM SUBMITION USING AJAX
        $("#renameContactType").validate({
            rules: {
                rename_type: {
                    required: true,
                },
            },
            messages: {
                rename_type: {
                    required: "Please enter contact type",
                },
            },
            errorPlacement: function(error, element) {
                error.insertAfter(element);
            },
            submitHandler: function(form, event) {
                event.preventDefault();

                var formData = new FormData(form);
                console.log('Form Data', formData);
                $.ajax({
                    url: form.action,
                    type: 'POST',
                    processData: false,
                    contentType: false,
                    data: formData,
                    success: function(response) {
                        console.log(response);
                        if (response.status == "success") {
                            Toastify({
                                text: response.message,
                                duration: 3000,
                                close: true,
                                gravity: "top",
                                position: 'right',
                                backgroundColor: "rgb(33, 37, 41);",
                                className: "info",
                            }).showToast();
                            $('#renameContactType').trigger("reset");
                            window.location.reload();
                        } else {
                            Toastify({
                                text: response.message,
                                duration: 3000,
                                close: true,
                                gravity: "top",
                                position: 'right',
                                backgroundColor: "rgb(33, 37, 41);",
                                className: "info",
                            }).showToast();
                            $('#renameContactType').trigger("reset");
                        }

                    },
                    error: function(xhr, textStatus, errorThrown) {

                        Toastify({
                            text: "Failed to schedule the meeting. Please try again.",
                            duration: 5000,
                            close: true,
                            gravity: "top",
                            position: 'right',
                            backgroundColor: "rgb(33, 37, 41);",
                            className: "error",
                        }).showToast();
                        $('#renameContactType').trigger("reset");
                    }
                });

                return false;
            }
        });

        //THIS IS USED TO SET THE CONTACT TYPE ID INTO #delete_contact_type MODAL
        $('.delete-contact-type').click(function() {
            var contactId = $(this).data('contact-id');
            $('#delete_contact_id').val(contactId);
        });

        //THIS IS USED TO DELETE THE CONTACT TYPE FROM #delete_contact_type MODAL
        $('.btn-delete-type').click(function() {

            var contactId = $('#delete_contact_id').val();
            alert(contactId);
            $.ajax({
                url: '{{route("deleteContactType")}}',
                type: 'POST',
                data: {
                    _token: '{{ csrf_token() }}',
                    contactId: contactId
                },
                success: function(response) {
                    console.log(response);

                    if (response.status == "success") {
                        Toastify({
                            text: response.message,
                            duration: 3000,
                            close: true,
                            gravity: "top",
                            position: 'right',
                            backgroundColor: "rgb(33, 37, 41);",
                            className: "info",
                        }).showToast();
                        $('#delete_contact_type').modal('hide');
                        $('#delete_contact_id').val(null);
                        window.location.reload();
                    } else {
                        Toastify({
                            text: response.message,
                            duration: 3000,
                            close: true,
                            gravity: "top", // `top` or `bottom`
                            position: 'right', // `left`, `center` or `right`
                            backgroundColor: "rgb(33, 37, 41);",
                            className: "info",
                        }).showToast();
                        $('#delete_contact_type').modal('hide');
                        $('#delete_contact_id').val(null);

                    }
                },
                error: function(xhr, status, error) {
                    console.error('Error deleting contact:', error);
                }
            });
        });

        //ADD SOCIAL MEDIA VALIDATION
        $('#socialMediaForm').validate({
            rules: {
                social_media_link: {
                    required: true,
                    url: true
                }
            },
            messages: {
                social_media_link: {
                    required: "Please enter a social media link.",
                    url: "Please enter a valid URL."
                }
            }
        });

        $('.active-box').click(function() {
            alert("Please enter a valid");
            if ($('#socialMediaForm').valid()) {
                $('#socialMediaForm').submit();
            }
        });

        // THIS [.dlt-followup && .delete-followup] IS USED TO DELETE THE CONTACT FROM THE CONTACT LISTING IN DASHBOARD AND CONTACT SECTION
        $('.dlt-followup').click(function() {
            var followUpId = $(this).data('followup-id'); // Retrieve followUpId from data attribute of clicked element
            $('#followup_id').val(followUpId); // Set the value of the hidden input
        });

        $('.delete-followup').click(function() {
            var followUpId = $('#followup_id').val(); // Retrieve followUpId from the hidden input
            alert(followUpId);
            $.ajax({
                url: '{{route("deleteFollowUp")}}',
                type: 'POST',
                data: {
                    _token: '{{ csrf_token() }}',
                    followup_id: followUpId
                },
                success: function(response) {
                    console.log(response);
                    if (response.status == "success") {
                        Toastify({
                            text: response.message,
                            duration: 3000,
                            close: true,
                            gravity: "top",
                            position: 'right',
                            backgroundColor: "rgb(33, 37, 41);",
                            className: "info",
                        }).showToast();
                        $('#delete-popup__followup').modal('hide');
                        window.location.reload();
                    } else {
                        Toastify({
                            text: response.message,
                            duration: 3000,
                            close: true,
                            gravity: "top",
                            position: 'right',
                            backgroundColor: "rgb(33, 37, 41);",
                            className: "info",
                        }).showToast();
                        $('#delete-popup__followup').modal('hide');
                    }
                },
                error: function(xhr, status, error) {
                    console.error('Error deleting contact:', error);
                }
            });
        });

        //THIS IS USED TO ADD FOLLOWUP ID IN #mark-completed-followup MODAL
        $('#mark-followup-completed').click(function() {
            var followupId = $(this).data('followup-id');
            $('#complete_followup_id').val(followupId);
        });

        //COMPLETE FOLLOWUP FORM VALIDATION
        $('#completeFollowUpForm').validate({
            rules: {
                followup_completed_note: {
                    required: true,

                }
            },
            messages: {
                followup_completed_note: {
                    required: "Please add notes",
                }
            },
            submitHandler: function(form, event) {
                event.preventDefault();

                var formData = new FormData(form);
                console.log('Form Data', formData);
                $.ajax({
                    url: form.action,
                    type: 'POST',
                    processData: false,
                    contentType: false,
                    data: formData,
                    success: function(response) {
                        console.log(response);
                        if (response.status == "success") {
                            Toastify({
                                text: response.message,
                                duration: 3000,
                                close: true,
                                gravity: "top",
                                position: 'right',
                                backgroundColor: "rgb(33, 37, 41);",
                                className: "info",
                            }).showToast();
                            $('#completeFollowUpForm').trigger("reset");
                            window.location.reload();
                        } else {
                            Toastify({
                                text: response.message,
                                duration: 3000,
                                close: true,
                                gravity: "top", // `top` or `bottom`
                                position: 'right', // `left`, `center` or `right`
                                backgroundColor: "rgb(33, 37, 41);",
                                className: "info",
                            }).showToast();
                            $('#completeFollowUpForm').trigger("reset");
                            $('#mark-completed-followup').modal('hide');
                        }

                    },
                    error: function(xhr, textStatus, errorThrown) {


                    }
                });

                return false;
            }
        });
    </script>
    @yield('script')

</body>

</html>