@extends('user.layout.default')

@section('content')

<div class="navabar1">
    <nav class="navbar navbar-expand-lg">
        <div class="container-fluid">
            <h6 class="dashbod_title">Logged Connections</h6>
            @include('user.inc.navbar')
        </div>
    </nav>
</div>

<div class="stucture logged_contection-box">
    <section class="Section-two-Dashboard">
        <div class="container-fluid">
            <div class="row stucture-1">
                <div class="col-12">
                    <div class="todays-workflow">
                        <div class="workflow-title">
                            <p>History</p>
                        </div>
                        <div class="history-left">
                            <div class="metting_btn">
                                <a href="#" class="follow_blue" style="display: none;">Meeting <img src="{{asset('assets/images/icons/cancel-blue.svg')}}" alt="cancle" class="ms-2"></a>
                                <a href="#" class="follow_purple" style="display: none;">Followup <img src="{{asset('assets/images/icons/cancel-purple.svg')}}" alt="cancle" class="ms-2"></a>
                            </div>
                            <div class="filter_dropdown">
                                <div class="dropdown date_dropdown">
                                    <a href="#" class="dropdown-toggle" type="button" data-bs-toggle="dropdown" aria-expanded="false">Select Date <img src="{{asset('assets/images/icons/blue-date.svg')}}" alt="filter">
                                    </a>
                                    <ul class="dropdown-menu date_Celander">
                                        <div class="wrapper">
                                            <div id="filter_calendar"></div>
                                            <div class="sav_btn justify-content-end mt-3">
                                                <a href="#" class="btn-cancel_deleted">Save</a>
                                            </div>
                                        </div>
                                    </ul>
                                </div>
                                <div class="dropdown filter_box">
                                    <a href="#" class="dropdown-toggle" type="button" data-bs-toggle="dropdown" aria-expanded="false">
                                        <img src="{{asset('assets/images/icons/filter.svg')}}" class="me-1" alt="filter"> Filter
                                    </a>
                                    <ul class="dropdown-menu">
                                        <li>
                                            <a class="dropdown-item" href="#">
                                                <div class="check_box-one">
                                                    <input class="form-check-input" type="checkbox" value="1" id="flexCheckFollowUp">
                                                    <p>Follow Up</p>
                                                </div>
                                            </a>
                                        </li>

                                        <li>
                                            <a class="dropdown-item" href="#">
                                                <div class="check_box-one">
                                                    <input class="form-check-input" type="checkbox" value="2" id="flexCheckMeeting">
                                                    <p>Meeting</p>
                                                </div>
                                            </a>
                                        </li>
                                        <div class="sav_btn justify-content-center mt-3 px-3 pb-1">
                                            <button class="btn-cancel_deleted w-100">Save</button>
                                        </div>
                                    </ul>

                                </div>

                            </div>
                        </div>
                    </div>
                </div>

                @if ($groupedItems !== null)
                <div class="dynamic-data">
                    @foreach ($groupedItems as $date => $items)
                    <div class="row">
                        <div class="col-12">
                            <div class="log_day">
                                <h6>{{ $date }}</h6>
                            </div>
                        </div>
                        <div class="col-12 ">

                            @foreach ($items as $item)
                            <div class="Boxes-container-1">
                                <div class="box-1-workflow" data-bs-toggle="modal" data-bs-target="#client-1">
                                    <div class="left-side">
                                        <div class="img-1">
                                            <img src="{{asset('assets/images/dashboard/img-1-workflow.svg')}}" alt="">
                                        </div>
                                        <div class="name-workflow">
                                            <p>{{ $item->firstname }} {{ $item->lastname }}</p>
                                            <p class="gray">{{ $item->created_at }}</p>
                                        </div>
                                        @if($item->type_flag == 'Meeting')
                                        <div class="badge-workflow badge-workflow-skyblue">
                                            <span class="badge rounded-pill">Meeting</span>
                                        </div>
                                        @else
                                        <div class="badge-workflow-Purple badge-workflow">
                                            <span class="badge rounded-pill ">Follow Up</span>
                                        </div>
                                        @endif
                                    </div>
                                    <div class="right-side">
                                        <a href="#">
                                            <img src="{{asset('assets/images/icons/spiner.svg')}}" alt="lodere">
                                        </a>
                                        <a href="#" class="delete-logged-connection" data-bs-toggle="modal" data-bs-target="#delete_logged_connection" data-contact-id="{{$item->id}}" data-label="{{$item->type_flag}}">
                                            <img src="{{asset('assets/images/icons/delet-box.svg')}}" alt="delet">
                                        </a>
                                    </div>
                                </div>
                            </div>
                            @endforeach
                        </div>
                    </div>
                    @endforeach
                </div>
                @else
                <center>

                    <h2 style="font-size: initial;">Not Found data</h2>
                </center>
                @endif

            </div>
        </div>
    </section>
</div>

<!-- DELETE CONTACT TYPE modal -->
<div class="delete-popup">
    <div class="modal fade" id="delete_logged_connection" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-body">
                    <div class="delete-container">
                        <img src="{{asset('assets/images/icons/delete-icon.svg')}}" alt="" data-bs-toggle="modal" data-bs-target="#delete-popup__newcontact">
                        <p class="f-16 b-6">Do you want to delete this Logged Connectiion?</p>
                        <input type="text" name="contact_id" id="contact_id">
                        <input type="text" name="label" id="label">
                        <div class="btn-cancel_deleted_container">
                            <button class="btn-cancel_deleted" data-bs-dismiss="modal" aria-label="Close">Cancel</button>
                            <button class="btn-cancel_deleted btn-delete btn-dlt-logged">Delete</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

@endsection

@section('script')

<script>
    $(document).ready(function() {
        // Initialize Flatpickr and store the instance
        var flatpickrInstance = flatpickr("#filter_calendar", {
            inline: true,
            dateFormat: "Y-m-d",
        });

        if (!flatpickrInstance) {
            console.error("Flatpickr initialization failed. Check the selector or setup.");
            return;
        }

        // Attach event listener to the "Save" button
        $('.btn-cancel_deleted').on('click', function(event) {
            event.preventDefault();

            // Ensure the Flatpickr instance is not undefined
            var selectedDate = flatpickrInstance.selectedDates[0];
            var formattedDate = null;

            if (selectedDate) {
                formattedDate = flatpickr.formatDate(selectedDate, "Y-m-d");
            }

            // Call the function with the formatted date
            sendFilterRequest(formattedDate);
        });
    });


    function sendFilterRequest(formattedDate) {

        // alert(formattedDate)
        var followUpChecked = $('#flexCheckFollowUp').is(':checked');
        var meetingChecked = $('#flexCheckMeeting').is(':checked');
        var filter_no = 0;

        if (followUpChecked && meetingChecked) {
            filter_no = 3; // Both Follow Up and Meeting selected
        } else if (meetingChecked) {
            filter_no = 2; // Only Meeting selected
        } else if (followUpChecked) {
            filter_no = 1; // Only Follow Up selected
        }

       

        $.ajax({
            url: "{{ route('filter_connection') }}",
            type: 'POST',
            data: {
                filter_no: filter_no,
                date: formattedDate // Include the selected date in the request
            },
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            success: function(response) {
                console.log(response);
                $('.dynamic-data').empty();
                $('.dynamic-data').html(response.content);
            },
            error: function(error) {
                console.error('Error:', error);
            }
        });
    }



    // THIS [.delete-task && .btn-delete-task] IS USED TO DELETE THE DAILY PLAN TASK IN QUICK ACTION [DAILY PLAN --> DELETE BUTTON]
    $('.delete-logged-connection').click(function() {
        var contactId = $(this).data('contact-id');
        var label = $(this).data('label');
        $('#contact_id').val(contactId);
        $('#label').val(label);
    });

    $('.btn-dlt-logged').click(function() {
        var contactId = $('#contact_id').val();
        var label = $('#label').val();
        alert(contactId);
        alert(label);

        $.ajax({
            url: '{{route("deleteLoggedConnection")}}',
            type: 'POST',
            data: {
                _token: '{{ csrf_token() }}',
                contact_id: contactId,
                label: label,
            },
            success: function(response) {
                console.log(response);

                if (response.status == "success") {
                    Toastify({
                        text: response.message,
                        duration: 3000,
                        close: true,
                        gravity: "top",
                        position: 'right',
                        backgroundColor: "rgb(33, 37, 41);",
                        className: "info",
                    }).showToast();
                    $('#delete_logged_connection').modal('hide');
                    window.location.reload();
                } else {
                    Toastify({
                        text: response.message,
                        duration: 3000,
                        close: true,
                        gravity: "top",
                        position: 'right',
                        backgroundColor: "rgb(33, 37, 41);",
                        className: "info",
                    }).showToast();
                    $('#delete_logged_connection').modal('hide');
                    window.location.reload();
                }
            },
            error: function(xhr, status, error) {
                console.error('Error deleting contact:', error);
            }
        });
    });
</script>
@endsection